summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Willy Sudiarto Raharjo <willysr@slackware-id.org>2012-12-16 17:43:57 -0500
committer dsomero <xgizzmo@slackbuilds.org>2012-12-23 09:16:34 -0500
commit8a08a96ffd181bfb097b703d0f3413cd70af1952 (patch)
tree866c28726bd45bcc8cd2f04a3fc839487eb81710 /system
parent64754355e36fddc1a3d090454ebb44fa796d4294 (diff)
downloadslackbuilds-8a08a96ffd181bfb097b703d0f3413cd70af1952.tar.gz
slackbuilds-8a08a96ffd181bfb097b703d0f3413cd70af1952.tar.xz
system/netatop: Added (kernel module)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/netatop/README5
-rw-r--r--system/netatop/doinst.sh25
-rw-r--r--system/netatop/netatop.SlackBuild102
-rw-r--r--system/netatop/netatop.info10
-rw-r--r--system/netatop/slack-desc19
5 files changed, 161 insertions, 0 deletions
diff --git a/system/netatop/README b/system/netatop/README
new file mode 100644
index 0000000000..843d26543d
--- /dev/null
+++ b/system/netatop/README
@@ -0,0 +1,5 @@
+kernel module netatop gather statistics about the TCP and UDP packets that
+have been transmitted/received per process and per thread.
+
+This application can be used to work together with atop
+to provide detailed information about processes in your system \ No newline at end of file
diff --git a/system/netatop/doinst.sh b/system/netatop/doinst.sh
new file mode 100644
index 0000000000..2dfba6dcad
--- /dev/null
+++ b/system/netatop/doinst.sh
@@ -0,0 +1,25 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+preserve_perms() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ if [ -e $OLD ]; then
+ cp -a $OLD ${NEW}.incoming
+ cat $NEW > ${NEW}.incoming
+ mv ${NEW}.incoming $NEW
+ fi
+ config $NEW
+}
+
+preserve_perms etc/rc.d/rc.netatopd.new
diff --git a/system/netatop/netatop.SlackBuild b/system/netatop/netatop.SlackBuild
new file mode 100644
index 0000000000..e0c862a5b0
--- /dev/null
+++ b/system/netatop/netatop.SlackBuild
@@ -0,0 +1,102 @@
+#!/bin/sh
+
+# Slackware build script for netatop
+
+# Copyright 2012 Willy Sudiarto Raharjo <willysr@slackware-id.org>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=netatop
+VERSION=${VERSION:-0.1.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+make
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/lib/modules/`uname -r`/extra
+mkdir -p $PKG/usr/sbin
+mkdir -p $PKG/etc/rc.d/
+mkdir -p $PKG/usr/man/man{4,8}
+
+install -m 0744 module/netatop.ko $PKG/lib/modules/`uname -r`/extra
+install -m 0755 daemon/netatopd $PKG/usr/sbin/
+install -m 0644 netatop.init $PKG/etc/rc.d/rc.netatopd.new
+cp man/netatop.4 $PKG/usr/man/man4/
+cp man/netatopd.8 $PKG/usr/man/man8/
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ ChangeLog README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/netatop/netatop.info b/system/netatop/netatop.info
new file mode 100644
index 0000000000..d937c90542
--- /dev/null
+++ b/system/netatop/netatop.info
@@ -0,0 +1,10 @@
+PRGNAM="netatop"
+VERSION="0.1.1"
+HOMEPAGE="http://www.atoptool.nl/"
+DOWNLOAD="http://www.atoptool.nl/download/netatop-0.1.1.tar.gz"
+MD5SUM="b20b8af71d357282fc76990b0c84d7f5"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Willy Sudiarto Raharjo"
+EMAIL="willysr@slackware-id.org"
diff --git a/system/netatop/slack-desc b/system/netatop/slack-desc
new file mode 100644
index 0000000000..9cc13836ae
--- /dev/null
+++ b/system/netatop/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+netatop: netatop (kernel module)
+netatop:
+netatop: kernel module netatop gather statistics about the TCP and UDP
+netatop: packets that have been transmitted/received per process and
+netatop: per thread.
+netatop:
+netatop: This application can be used to work together with atop
+netatop: to provide detailed information about processes in your system
+netatop:
+netatop: Project website: http://www.atoptool.nl/netatop.php
+netatop: